Package oracle.jdbc.diagnostics

## Class Parameter.ByteBufferParameter

- java.lang.Object
- - oracle.jdbc.diagnostics.Parameter<java.nio.ByteBuffer>
  - - oracle.jdbc.diagnostics.Parameter.ByteBufferParameter

Enclosing class:
  Parameter<T>

    protected static final class Parameter.ByteBufferParameter
    extends Parameter<java.nio.ByteBuffer>

A Formatter that will display the content of a ByteBuffer. Content is displayed in three columns. 1) byte count of the first byte starting from initialCount. 2) ten bytes in hex pairs. 3) ASCII chars corresponding to those bytes. Non-printable characters are displayed as a single dot, ".". Except for the first line the count of the first byte of each line is 0 mod 10. As a result the first line will have fewer than 10 bytes if initialCount mod 10 != 0.

Example:{@code 000,000,000,003 : 2E849D7F63FBF4 | ....c..| 000,000,000,010 : 3118E1989EC763C4B457 |1.....c..W| 000,000,000,020 : B657D2987BE86C6998E0 |.W..{.li..| 000,000,000,030 : ACC1D3E002D2 |...... |}

### Nested Class Summary

### Nested classes/interfaces inherited from class oracle.jdbc.diagnostics.Parameter

`Parameter.ByteBufferParameter, Parameter.PacketDumpParameter, Parameter.PropertiesParameter`

### Field Summary

Fields
`protected long` `initialCount`
`protected int` `length`
`protected int` `maxBytes`
`protected int` `offset`

### Fields inherited from class oracle.jdbc.diagnostics.Parameter

`BLINDED, value`

### Constructor Summary

Constructors
`protected` `ByteBufferParameter​(java.nio.ByteBuffer value, long maxBytes, long offset, long length, long initialCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `basicFormat()`

### Methods inherited from class oracle.jdbc.diagnostics.Parameter

`arg, main, repeat, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### maxBytes

    protected int maxBytes

#### offset

    protected int offset

#### length

    protected int length

#### initialCount

    protected long initialCount

### Constructor Detail

#### ByteBufferParameter

    protected ByteBufferParameter​(java.nio.ByteBuffer value,
                                  long maxBytes,
                                  long offset,
                                  long length,
                                  long initialCount)

### Method Detail

#### basicFormat

    protected final java.lang.String basicFormat()

Overrides:
  `basicFormat` in class `Parameter<java.nio.ByteBuffer>`